#!/usr/bin/python -Wall
import random
import sys

# ----------------------------------------------------------------
# P(X=k) = p*(1-p)^k
# This is a geometric sum, so (after simplification):
# P(X<=k) = 1-(1-p)^(k+1)
def geomvariate(p):
	u = random.uniform(0.0, 1.0)
	k = 0
	sum = 0.0
	#print "geomvariate p = %.3f u = %11.7f" % (p, u)
	while (1):
		if (u < sum):
			return k
		#print "k = %2d sum = %11.7f" % (k, sum)
		k += 1
		sum = 1.0 - (1.0 - p)**(k+1)
		if (k > 1000):
			print >> sys.stderr, "b0rk"
			sys.exit(1)

# ----------------------------------------------------------------
alpha = 1.0
n = 100
p = alpha / n

for k in range(0, 10000):
	print geomvariate(p) / (1.0*n)
